unit TooltipAVForm;

interface

uses
  Winapi.Windows,
  Winapi.Messages,
  System.SysUtils,
  System.Variants,
  System.Classes,
  Vcl.Graphics,
  Vcl.Controls,
  Vcl.Forms,
  Vcl.Dialogs,
  VCLTee.TeEngine,
  VCLTee.Series,
  Vcl.ExtCtrls,
  VCLTee.TeeProcs,
  VCLTee.Chart,
  VCLTee.TeeTools, Vcl.ActnList, Vcl.ActnMan, Vcl.ToolWin, Vcl.ActnCtrls, Vcl.Ribbon,
  Vcl.RibbonLunaStyleActnCtrls, Vcl.ImgList;

type
  TParentForm = class(TForm)
    Chart1: TChart;
    Series1: TBarSeries;
    Ribbon1: TRibbon;
    RibbonPage1: TRibbonPage;
    rbgToolbar1: TRibbonGroup;
    rbgToolbar2: TRibbonGroup;
    ActionManager1: TActionManager;
    actAction2: TAction;
    actAction1: TAction;
    ImageList1: TImageList;
    procedure FormActivate(Sender: TObject);
  end;

var
  ParentForm: TParentForm;

implementation

{$R *.dfm}

procedure TParentForm.FormActivate(Sender: TObject);
var
  fTooltipsTool: TMarksTipTool;
begin
  Series1.Marks.Visible := False;
  Series1.AddNull(0);
  Series1.AddBar(50, 'click me', clBlue);
  Series1.AddNull(100);

  fTooltipsTool := TMarksTipTool.Create(Chart1);
  fTooltipsTool.ParentChart := Chart1;
  fTooltipsTool.Active := True;
  fTooltipsTool.MouseDelay := 3;
  fTooltipsTool.MouseAction := mtmClick;
end;

end.
